## org.codehaus.groovy.ast.expr
Class GStringExpression

Field Summary
`List` | `strings`
`List` | `values`
`String` | `verbatimText`

Constructor Summary
`GStringExpression(String verbatimText)`
`GStringExpression(String verbatimText, List strings, List values)`

Method Summary
`void` | `addString(ConstantExpression text)`
`void` | `addValue(Expression value)`
`Expression` | `asConstantString()`
`List` | `getStrings()`
`String` | `getText()`
`Expression` | `getValue(int idx)`
`List` | `getValues()`
`boolean` | `isConstantString()`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### GStringExpression

    public GStringExpression(String verbatimText)

### GStringExpression

    public GStringExpression(String verbatimText, List strings, List values)

Method Detail

### addString

    public void addString(ConstantExpression text)

### addValue

    public void addValue(Expression value)

### asConstantString

    public Expression asConstantString()

### getStrings

    public List getStrings()

### getText

    public String getText()

### getValue

    public Expression getValue(int idx)

### getValues

    public List getValues()

### isConstantString

    public boolean isConstantString()

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)